org.keycloak.credential

## Class WebAuthnPasswordlessCredentialProvider

- java.lang.Object
- - org.keycloak.credential.WebAuthnCredentialProvider
  - - org.keycloak.credential.WebAuthnPasswordlessCredentialProvider

- All Implemented Interfaces:
    CredentialInputValidator, CredentialProvider<WebAuthnCredentialModel>, Provider

      public class WebAuthnPasswordlessCredentialProvider
      extends WebAuthnCredentialProvider

  Credential provider for WebAuthn passwordless credential of the user
  Author:
    Marek Posolda

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WebAuthnPasswordlessCredentialProvider(KeycloakSession session, com.webauthn4j.converter.util.ObjectConverter objectConverter)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CredentialTypeMetadata` | `getCredentialTypeMetadata(CredentialTypeMetadataContext metadataContext)`
    `String` | `getType()`

    - ### Methods inherited from class org.keycloak.credential.WebAuthnCredentialProvider

      `createCredential, deleteCredential, dumpCredentialModel, getCredentialFromModel, getCredentialModelFromCredentialInput, getKeycloakSession, isConfiguredFor, isValid, supportsCredentialType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.credential.CredentialProvider

      `close, getDefaultCredential`

- - ### Constructor Detail

    - #### WebAuthnPasswordlessCredentialProvider

          public WebAuthnPasswordlessCredentialProvider(KeycloakSession session,
                                                        com.webauthn4j.converter.util.ObjectConverter objectConverter)

  - ### Method Detail

    - #### getType

          public String getType()

      Specified by:
        `getType` in interface `CredentialProvider<WebAuthnCredentialModel>`
      Overrides:
        `getType` in class `WebAuthnCredentialProvider`

    - #### getCredentialTypeMetadata

          public CredentialTypeMetadata getCredentialTypeMetadata(CredentialTypeMetadataContext metadataContext)

      Specified by:
        `getCredentialTypeMetadata` in interface `CredentialProvider<WebAuthnCredentialModel>`
      Overrides:
        `getCredentialTypeMetadata` in class `WebAuthnCredentialProvider`

Copyright © 2020 JBoss by Red Hat. All rights reserved.